<?require('header.php'); ?>
<div class="menucenter">
<?$urlid="8e3ef06e-4fed-4b29-a901-9f8f016f93af";

$testticket=preg_match('/^[a-zA-Z0-9\$\!\/]{32,48}$/i', $_POST['WmLogin_Ticket']);

if($_POST['WmLogin_UrlID']==$urlid && $testticket==1) {
$xml="
<request>
	<siteHolder>326185553342</siteHolder>
	<user>".$_POST['WmLogin_WMID']."</user>
	<ticket>".$_POST['WmLogin_Ticket']."</ticket>
	<urlId>".$urlid."</urlId>
	<authType>".$_POST['WmLogin_AuthType']."</authType>
	<userAddress>".$_POST['WmLogin_UserAddress']."</userAddress>
</request>
";
	$root=$_SERVER["DOCUMENT_ROOT"];
	$CertPath="$root/sfbwm.cer";
function _GetAnswer($xml){
	global $CertPath;
	// Инициализируем сеанс CURL
	$ch = curl_init("https://login.wmtransfer.com/ws/authorize.xiface");
	// В выводе CURL http-заголовки не нужны
	curl_setopt($ch, CURLOPT_HEADER, 0);
	// Возвращать результат, а не выводить его в браузер
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
	// Метод http-запроса - POST
	curl_setopt($ch, CURLOPT_POST,1);
	// Что передаем?
	curl_setopt($ch, CURLOPT_POSTFIELDS, $xml);
	// Задаем корневой сертификат для проверки
	curl_setopt($ch, CURLOPT_CAINFO, $CertPath);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, TRUE);
	// Выполняем запрос, ответ помещаем в переменную $result;
	$result=curl_exec($ch);
	if(curl_errno($ch)) echo "Curl Error number = ".curl_errno($ch).", Error desc = ".curl_error($ch)."<br>";
	curl_close($ch);
	return $result;
}
$resxml=_GetAnswer($xml);
$xmlres = simplexml_load_string($resxml);
if(!$xmlres) echo "Не получен XML-ответ";
$result=strval($xmlres->attributes()->retval);
if($result=='0')
{
if(!is_numeric($_POST["WmLogin_WMID"]) or strlen($_POST["WmLogin_WMID"])!=12){echo '<div class=error>Ошибка! Не верные данные!</div><META HTTP-EQUIV="REFRESH" CONTENT="5;URL=index.php">';include('footer.php');exit();}

$_SESSION["still_wm"] = $_POST["WmLogin_WMID"];
$_SESSION["still_vxod"] = MD5($_POST["WmLogin_WMID"].$_POST['WmLogin_UrlID']);
?>
<div class=good>
Авторизация прошла успешно, дождитесь перенаправления</div>
<META HTTP-EQUIV="REFRESH" CONTENT="1;URL=still_kab.php">

<?
}else{
echo "<div class=error>Неправильный тикет!Иди нахуй!</div>"; exit();
}
}else{

?>
<div class=error>
	<b>&nbsp;<font color=#ff0000>Отмена!</font></b><br>
	<center>Через 5 секунды Вы будете перенаправленны на сайт.</center>
</div>
<META HTTP-EQUIV="REFRESH" CONTENT="5;URL=index.php">
<?}
 require('footer.php'); ?>